Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0024195
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POScriticalalways2013-06-26 12:582013-07-05 11:41
ReporterjecharriView Statuspublic 
Assigned Tomarvintm 
PriorityimmediateResolutionfixedFixed in Version
StatusclosedFix in branchpiFixed in SCM revision06c07ab64e47
ProjectionnoneETAnoneTarget VersionRMP24
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionRMP23.1SCM revision 
Review Assigned Tomigueldejuana
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0024195: Wrong taxable amount in Web POS

DescriptionWrong taxable amount in Web POS

Steps To Reproduce-Configure currency with price precision 2 and standard precision 2
-Create a discounts and promotion for product "adhesive body warmers" with 10%
-Change the price of the above product to 0.75 and work with price including taxes
-Go to web POS and add in the ticket.

You will see that taxable amount is 0.61 instead of 0.62
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0059682)
hgbot (developer)
2013-06-26 16:52

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 42bf19d53751024317fd138198aabdf67609f173
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Wed Jun 26 16:51:47 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/42bf19d53751024317fd138198aabdf67609f173 [^]

Fixed issue 24195. Calculation of net and taxamt will be done correctly (rounding only at the end of the calculation).

---
M src-db/database/sourcedata/AD_TABLE.xml
M web/org.openbravo.retail.posterminal/js/data/dataordertaxes.js
---
(0059687)
migueldejuana (developer)
2013-06-26 17:42

Fixed and reviewed in 42bf19d53751
(0059763)
hgbot (developer)
2013-06-28 10:31

Repository: erp/pmods/org.openbravo.retail.posterminal.multiorder
Changeset: 42bf19d53751024317fd138198aabdf67609f173
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Wed Jun 26 16:51:47 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.multiorder/rev/42bf19d53751024317fd138198aabdf67609f173 [^]

Fixed issue 24195. Calculation of net and taxamt will be done correctly (rounding only at the end of the calculation).

---
M src-db/database/sourcedata/AD_TABLE.xml
M web/org.openbravo.retail.posterminal/js/data/dataordertaxes.js
---
(0059826)
marvintm (developer)
2013-07-03 09:47

The previous fix was correct, but was not complete. A new fix for this has been committed in this changeset:

https://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/51f69a104ec30d0ee24b5bfe0e052e217161dc57 [^]
(0059828)
hgbot (developer)
2013-07-03 10:49

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 06c07ab64e471265b0a5be947d2bf21e503300e5
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Wed Jul 03 10:49:21 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/06c07ab64e471265b0a5be947d2bf21e503300e5 [^]

Fixed issue 24195. Fixed issue 24220. Avoid division by zero in some cases.

---
M web/org.openbravo.retail.posterminal/js/data/dataordertaxes.js
---
(0059862)
hgbot (developer)
2013-07-04 16:40

Repository: erp/pmods/org.openbravo.retail.posterminal.multiorder
Changeset: 06c07ab64e471265b0a5be947d2bf21e503300e5
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Wed Jul 03 10:49:21 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.multiorder/rev/06c07ab64e471265b0a5be947d2bf21e503300e5 [^]

Fixed issue 24195. Fixed issue 24220. Avoid division by zero in some cases.

---
M web/org.openbravo.retail.posterminal/js/data/dataordertaxes.js
---
(0059886)
guilleaer (developer)
2013-07-05 11:41

reclosed

- Issue History
Date Modified Username Field Change
2013-06-26 12:58 jecharri New Issue
2013-06-26 12:58 jecharri Assigned To => marvintm
2013-06-26 13:06 jecharri Steps to Reproduce Updated View Revisions
2013-06-26 16:52 hgbot Checkin
2013-06-26 16:52 hgbot Note Added: 0059682
2013-06-26 16:52 hgbot Status new => resolved
2013-06-26 16:52 hgbot Resolution open => fixed
2013-06-26 16:52 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/42bf19d53751024317fd138198aabdf67609f173 [^]
2013-06-26 17:42 migueldejuana Review Assigned To => migueldejuana
2013-06-26 17:42 migueldejuana Note Added: 0059687
2013-06-26 17:42 migueldejuana Status resolved => closed
2013-06-26 17:42 migueldejuana Fixed in Version => RMP24
2013-06-28 10:31 hgbot Checkin
2013-06-28 10:31 hgbot Note Added: 0059763
2013-06-28 10:31 hgbot Status closed => resolved
2013-06-28 10:31 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/42bf19d53751024317fd138198aabdf67609f173 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.multiorder/rev/42bf19d53751024317fd138198aabdf67609f173 [^]
2013-07-01 16:57 jecharri Status resolved => new
2013-07-01 16:57 jecharri Resolution fixed => open
2013-07-01 16:57 jecharri Fixed in Version RMP24 =>
2013-07-01 16:58 jecharri Status new => scheduled
2013-07-01 16:58 jecharri fix_in_branch => pi
2013-07-01 16:58 jecharri Status scheduled => resolved
2013-07-01 16:58 jecharri Resolution open => fixed
2013-07-01 16:59 jecharri Issue cloned 0024237
2013-07-03 09:47 marvintm Note Added: 0059826
2013-07-03 10:49 hgbot Checkin
2013-07-03 10:49 hgbot Note Added: 0059828
2013-07-03 10:49 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.multiorder/rev/42bf19d53751024317fd138198aabdf67609f173 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/06c07ab64e471265b0a5be947d2bf21e503300e5 [^]
2013-07-04 16:40 hgbot Checkin
2013-07-04 16:40 hgbot Note Added: 0059862
2013-07-04 16:40 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/06c07ab64e471265b0a5be947d2bf21e503300e5 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.multiorder/rev/06c07ab64e471265b0a5be947d2bf21e503300e5 [^]
2013-07-05 11:41 guilleaer Note Added: 0059886
2013-07-05 11:41 guilleaer Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker